Page MenuHomePhabricator

Implement ResourceLoader 1.0 (tracking)
Closed, ResolvedPublic

Description

This bug tracks bugs that will be fixed by the new resource loader.


Version: 1.17.x
Severity: enhancement

Details

Reference
bz24415

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolved Tfinc
ResolvedKrinkle
Resolved TrevorParscal
Resolved TrevorParscal
Resolved TrevorParscal
ResolvedNone
Invalid TrevorParscal
ResolvedNone
Resolved TrevorParscal
Resolved TrevorParscal
ResolvedNone
Resolved TrevorParscal
Resolved TrevorParscal
Resolved TrevorParscal
ResolvedNone
Resolved TrevorParscal
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 21 2014, 11:10 PM
bzimport set Reference to bz24415.
bzimport added a subscriber: Unknown Object (MLST).
Catrope created this task.Jul 17 2010, 1:50 PM

Bug 24862 could be fixed with this

Isn't this bug set up backwards? A tracking bug normally includes issues that need to be fixed in order to meet a certain milestone or release a certain feature. The bugs that will be fixed by that feature are then listed under "Blocks". Due to how this bug is defined, all the bugs that are blocked by Resource Loader are listed as "Depends on" and those bugs don't have a proper Resource Loader bug to list as a Blocker.

Why don't we just have a bug called "Implement Resource Loader"? All the bugs that would be fixed by it can then be listed as "Blocks" and all the bugs that have to be fixed as part of the Resource Loader implementation would be listed as "Depends on". We don't need to reinvent this functionality by creating a "blocks tracker" (which inverts the normal dependency logic). It's too confusing, IMO.

mdale wrote:

*** Bug 20776 has been marked as a duplicate of this bug. ***

mdale wrote:

*** Bug 20777 has been marked as a duplicate of this bug. ***

And now we're marking actual bugs as duplicates of a tracking bug. What a mess.

I'm cleaning this up.

Bug 20776 and bug 20777 have been re-opened. Bug 25491 was re-opened and I changed it to be a block of this bug, rather than a dependency.

I changed this bug's title from "Resource loader (tracking)" to "Implement ResourceLoader (tracking)". I'll update the blocks on other bugs shortly.

Renaming to 1.0, this should be finished by the end of 1.17 (which is the first release including ResourceLoader)

This bug has been getting a few dependancies lately, some should be moved to the "2.0" implementation tracker (bug 29272), or in general to the new "ResourceLoader" component.

We're gonna let 1.17 go with version 0.999 of RL if we have to. Although Bug #24778 shouldn't be hard to fix, I'm told. So we may still make it.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 10 2016, 1:19 AM
Restricted Application added a project: Performance-Team. · View Herald TranscriptOct 27 2018, 11:58 PM